Package com.databricks.jdbc.exception

## Class DatabricksSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.databricks.jdbc.exception.DatabricksSQLException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

Direct Known Subclasses:
  `DatabricksHttpException`, `DatabricksParsingException`, `DatabricksSQLFeatureNotImplementedException`, `DatabricksSQLFeatureNotSupportedException`, `DatabricksValidationException`

    public class DatabricksSQLException
    extends SQLException

Top level exception for Databricks driver

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabricksSQLException​(String reason)`
`DatabricksSQLException​(String reason, int vendorCode)`
`DatabricksSQLException​(String reason, IDatabricksConnectionContext connectionContext, String errorName, String sqlQueryId, int errorCode)`
`DatabricksSQLException​(String reason, String sqlState, int vendorCode)`
`DatabricksSQLException​(String reason, Throwable cause)`
`DatabricksSQLException​(String reason, Throwable cause, IDatabricksConnectionContext connectionContext, String errorName, String sqlQueryId, int errorCode)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DatabricksSQLException

    public DatabricksSQLException​(String reason,
                                  String sqlState,
                                  int vendorCode)

#### DatabricksSQLException

    public DatabricksSQLException​(String reason)

#### DatabricksSQLException

    public DatabricksSQLException​(String reason,
                                  int vendorCode)

#### DatabricksSQLException

    public DatabricksSQLException​(String reason,
                                  IDatabricksConnectionContext connectionContext,
                                  String errorName,
                                  String sqlQueryId,
                                  int errorCode)

#### DatabricksSQLException

    public DatabricksSQLException​(String reason,
                                  Throwable cause,
                                  IDatabricksConnectionContext connectionContext,
                                  String errorName,
                                  String sqlQueryId,
                                  int errorCode)

#### DatabricksSQLException

    public DatabricksSQLException​(String reason,
                                  Throwable cause)